
/* Copyright (c) 1990 Sonnet Software, Inc., All rights reserved. */
/******************************************************************/

/* %W% last mod on %G% at %U% */
/* Full SCCS path name: (%P%) */

/*******************************************************************

	NAME: sleep.c
	
	AUTHOR: K. Schroeder
	
	PURPOSE: Simulates sleep call for MSDOS
	
	CONTENTS:
		sleep() - Sleep for given number of seconds

*******************************************************************/

#include "local.h"
#include <time.h>

/*******************************************************************
	DESCRIPTION:

		sleep for duration number of seconds.

*******************************************************************/
int
sleep(duration)
int duration;
{
	clock_t start;

	start = clock()/CLOCKS_PER_SEC;
	while( clock()/CLOCKS_PER_SEC - start <= duration ) {
		if ( clock()/CLOCKS_PER_SEC < start ) return;
	}
}

